Bug 103293 - Use the same ODBC flavor variable names in ports
Summary: Use the same ODBC flavor variable names in ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: alepulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-15 08:30 UTC by ganael.laplanche
Modified: 2006-10-09 20:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2006-09-15 08:30:16 UTC
Porters are using very different ways in managing the ODBC flavors (either iodbc or unixodbc) :

Here are examples :

databases/postgresql-odbc, databases/libodbc++, databases/mysql-connector-odbc : DRIVER_MANAGER
net/openldap23-server : WITH_ODBC_TYPE
lang/q : ODBC
databases/p5-DBD-ODBC : MYODBC
databases/freetds, lang/pike76, lang/pike72, databases/clip, databases/mysql2odbc : WITH_IODBC / WITH_UNIXODBC

It would be great if a common variable could be used... Maybe UNIXODBC and IODBC could be added in the KNOBS file ?
Comment 1 alepulver freebsd_committer 2006-10-01 15:04:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Take PR.
Comment 2 alepulver freebsd_committer 2006-10-01 15:19:37 UTC
State Changed
From-To: open->feedback

Ask maintainers of the affected ports for approval.
Comment 3 alepulver freebsd_committer 2006-10-01 15:25:57 UTC
Hello.

A PR (http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/103293) has been
submitted as an attempt to unify the ways of managing the ODBC flavors
(either iodbc or unixodbc).

Currently this is the situation:

databases/postgresql-odbc (girgen@FreeBSD.org), databases/libodbc++
(fjoe@FreeBSD.org), databases/mysql-connector-odbc
(sergey@network-asp.biz): DRIVER_MANAGER

net/openldap23-server (delphij@FreeBSD.org): WITH_ODBC_TYPE

lang/q (ports@FreeBSD.org): ODBC

databases/p5-DBD-ODBC (mat@FreeBSD.org): MYODBC

databases/freetds, lang/pike76, lang/pike72, databases/clip,
databases/mysql2odbc: WITH_IODBC / WITH_UNIXODBC

The proposed solution is to make all of them use
WITH_IODBC / WITH_UNIXODBC and add them to KNOBS.

Do you approve it (for the port you maintain)?

Best Regards,
Ale

P.S.: if you have a better solution please let us know.
Comment 4 Mathieu Arnold freebsd_committer 2006-10-01 17:08:34 UTC
+-Le 01/10/2006 11:25 -0300, Alejandro Pulver a dit :
| The proposed solution is to make all of them use
| WITH_IODBC / WITH_UNIXODBC and add them to KNOBS.
| 
| Do you approve it (for the port you maintain)?

You have a go for mine.

-- 
Mathieu Arnold
Comment 5 fjoe 2006-10-01 17:29:46 UTC
Hi!

On Sun, Oct 01, 2006 at 11:25:57AM -0300, Alejandro Pulver wrote:

> A PR (http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/103293) has been
> submitted as an attempt to unify the ways of managing the ODBC flavors
> (either iodbc or unixodbc).
> 
> Currently this is the situation:
> 
> databases/postgresql-odbc (girgen@FreeBSD.org), databases/libodbc++
> (fjoe@FreeBSD.org), databases/mysql-connector-odbc
> (sergey@network-asp.biz): DRIVER_MANAGER
> 
> net/openldap23-server (delphij@FreeBSD.org): WITH_ODBC_TYPE
> 
> lang/q (ports@FreeBSD.org): ODBC
> 
> databases/p5-DBD-ODBC (mat@FreeBSD.org): MYODBC
> 
> databases/freetds, lang/pike76, lang/pike72, databases/clip,
> databases/mysql2odbc: WITH_IODBC / WITH_UNIXODBC
> 
> The proposed solution is to make all of them use
> WITH_IODBC / WITH_UNIXODBC and add them to KNOBS.
> 
> Do you approve it (for the port you maintain)?
> 
> Best Regards,
> Ale
> 
> P.S.: if you have a better solution please let us know.

Sure. Go ahead!

/fjoe
Comment 6 delphij 2006-10-01 17:57:03 UTC
Alejandro Pulver wrote:
> Hello.
> 
> A PR (http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/103293) has been
> submitted as an attempt to unify the ways of managing the ODBC flavors
> (either iodbc or unixodbc).
> 
> Currently this is the situation:
> 
> databases/postgresql-odbc (girgen@FreeBSD.org), databases/libodbc++
> (fjoe@FreeBSD.org), databases/mysql-connector-odbc
> (sergey@network-asp.biz): DRIVER_MANAGER
> 
> net/openldap23-server (delphij@FreeBSD.org): WITH_ODBC_TYPE
> 
> lang/q (ports@FreeBSD.org): ODBC
> 
> databases/p5-DBD-ODBC (mat@FreeBSD.org): MYODBC
> 
> databases/freetds, lang/pike76, lang/pike72, databases/clip,
> databases/mysql2odbc: WITH_IODBC / WITH_UNIXODBC
> 
> The proposed solution is to make all of them use
> WITH_IODBC / WITH_UNIXODBC and add them to KNOBS.
> 
> Do you approve it (for the port you maintain)?
> 
> Best Regards,
> Ale
> 
> P.S.: if you have a better solution please let us know.


I do not object, but I think it might be better if we have a mutual
exclusive mechanism, say, a variable with its value to choose.  This way
we will be able to make sure that only one, valid option is being
chosen, without any extra if defined(foo) && defined (bar) stuff.

Cheers,
-- 
Xin LI <delphij@delphij.net>	http://www.delphij.net/
FreeBSD - The Power to Serve!
Comment 7 alepulver freebsd_committer 2006-10-01 18:25:43 UTC
On Mon, 02 Oct 2006 00:57:03 +0800
LI Xin <delphij@delphij.net> wrote:

> > The proposed solution is to make all of them use
> > WITH_IODBC / WITH_UNIXODBC and add them to KNOBS.
> > 
[...]
> > P.S.: if you have a better solution please let us know.
> 
> I do not object, but I think it might be better if we have a mutual
> exclusive mechanism, say, a variable with its value to choose.  This way
> we will be able to make sure that only one, valid option is being
> chosen, without any extra if defined(foo) && defined (bar) stuff.
> 

That would indeed be better but knobs can't have values, they are only
checked with a WITH_ / WITHOUT_ prefix. There isn't a file to document
these kind of variables like KNOBS.

If in the future they are replaced with yes/no variables (like
SDL=no instead of WITHOT_SDL=<anything>), then this would be possible,
but it would also have to be integrated with OPTIONS.

Best Regards,
Ale
Comment 8 alepulver freebsd_committer 2006-10-09 19:52:46 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 9 dfilter freebsd_committer 2006-10-09 20:01:38 UTC
alepulver    2006-10-09 18:51:19 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql-odbc Makefile 
    databases/libodbc++  Makefile 
    databases/mysql-connector-odbc Makefile 
    net/openldap23-server Makefile 
    lang/q               Makefile 
    databases/p5-DBD-ODBC Makefile 
  Log:
  - Unify the way to choose between ODBC flavors (WITH_IODBC / WITH_UNIXODBC).
  
  PR:             ports/103293
  Submitted by:   Ganael Laplanche <ganael.laplanche@martymac.com>
  Approved by:    girgen (databases/postgresql-odbc), fjoe (databases/libodbc++),
                  sergey@network-asp.biz
                  (databases/mysql-connector-odbc, timeout),
                  delphij@FreeBSD.org (net/openldap23-server),
                  mat@FreeBSD.org (databases/p5-DBD-ODBC)
  
  Revision  Changes    Path
  1.14      +11 -5     ports/databases/libodbc++/Makefile
  1.23      +13 -5     ports/databases/mysql-connector-odbc/Makefile
  1.20      +10 -9     ports/databases/p5-DBD-ODBC/Makefile
  1.10      +13 -8     ports/databases/postgresql-odbc/Makefile
  1.21      +11 -6     ports/lang/q/Makefile
  1.141     +10 -5     ports/net/openldap23-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"